<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //アバター情報取得（性別取得のため）
        $return = $AVAFIT->get("avatar_call", array("client_key" => $site_key, "user_code" => $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //下記で使われる検索条件としての性別（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $cond  = "sex:c".$sex.",";
        $cond .= "price:>="._WU_GACHA_POINT;

        //RANDOMアイテム取得
        $select_item_key = "";
        $cnt = 0;
        while(1) {
            $return = $AVAFIT->get("item_get_random", array("client_key"     => $site_key,
                                                            "set_kubun"      => 1,
                                                            "category_index" => "",
                                                            "count"          => 1,
                                                            "cond"           => $cond));

            if ($return["result"]) {
                $rand_info = $return["value"];
                $rand_items = $rand_info["ITEMS"];

                //所有しているアイテムか確認
                $return = $AVAFIT->get("item_info", array("client_key" => $site_key,
                                                          "user_code"  => $user_code,
                                                          "item_keys"  => $rand_items[0]["KEY"]));
                if ($return["result"]) {
                    $item_info = $return["value"];
                    $items = $item_info["ITEMS"];
                    if (!$items[0]["IS_CLOSET"]) {
                        //所有していないアイテムであればOK
                        $select_item_key = $rand_items[0]["KEY"];
                        break;
                    }
                }
            }

            $cnt++;
            if ($cnt >= 3) {
                break;
            }
        }

        if (!$select_item_key) {
            $ERROR[] = "ガチャガチャはご利用できません。";
        }
        //アイテムのクロゼットへの反映
        else {
            //●ここでポイント減算処理
            $fp = fopen(_WU_POINT_USE_URL."?user_code=".$user_code."&use_point="._WU_GACHA_POINT, "r");
            if (!$fp) {
                $ERROR[] = "ユーザーのポイント利用報告に失敗しました。";
            }
            else {
                while (!feof($fp)) {
                    $result_val = fgets($fp, 1024);
                }
                fclose($fp);

                if ($result_val != "OK") {
                    $ERROR[] = "ユーザーのポイント減算処理に失敗しました。";
                }
            }

            //ポイント減算処理が成功した場合のみアイテム追加
            if (!sizeof($ERROR)) {
                $return = $AVAFIT->get("avatar_item_add", array("client_key" => $site_key,
                                                                "user_code"  => $user_code,
                                                                "item_keys"  => $select_item_key,
                                                                "buy_point"  => _WU_GACHA_POINT));
                if ($return["result"]) {
                    // リダイレクトを訂正
                    #header("Location: ./gacha_result.php?site_key=$site_key&user_code=$user_code&item_key=$select_item_key");

                    $goto  = "http://".$_SERVER["HTTP_HOST"];
                    $goto .= "/".str_replace($_SERVER["DOCUMENT_ROOT"],"",dirname(__FILE__))."/";
                    $goto .= "gacha_result.php?site_key=$site_key&user_code=$user_code&item_key=$select_item_key";
                    // リダイレクト
                    // 「ob_end_clean();」をリダイレクト前に宣言して、バッファリングをクリア
                    ob_end_clean();
                    header ("Location: ".$goto);
                }
            }
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>