<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    //変数仮置き
    #$cate_type = "fashion";

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }else
    if (!$cate_type) {
        $ERROR[] = "「cate_type」がありません。";
    }

    //1位から10位まで
    $_HM_ITEM_CNT_LIST_PAGE = 10;

    if (!sizeof($ERROR)) {

        // カテゴリ別ランキング・タイトル
        // ui_config.iniから値を取得
        $cate_title = $WU_CATE_UNIT[$cate_type]["TYPE"];

        //アバター情報取得（性別取得のため）
        $return = $AVAFIT->get("avatar_call", array("client_key" => $site_key, "user_code" => $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $avatar = $return["value"];
            $sex = $avatar["SEX"];
        }

        //検索条件作成（「c」は共通、共通と利用者性別のアイテムだけを取得）
        $cond = "sex:c".$sex;
        //検索条件作成（１ヶ月前からの購入数ランキング）
        #$ranking_date = date("Y/m/d", mktime(0,0,0, date("m"), date("d") - _WU_RANKING_DAY_COUNT, date("Y")));
        #$cond .= ",rankdate:>=".$ranking_date;

        //カテゴリー組の選別
        //TOPのおすすめメニューから入った場合は「$f_cate_set」は「2」
        $f_cate_set = ($f_cate_set)?$f_cate_set:1;

        // カテゴリ・ユニットの数だけ
        // ※カテゴリ・ユニットはui_config.iniに記載
        $rankings = array();
        $ii = 0;
        for($i=0; $i<sizeof($WU_CATE_UNIT[$cate_type]["UNIT"]); $i++){
            $f_cate_num = $WU_CATE_UNIT[$cate_type]["UNIT"][$i];

            //アイテム一覧取得(色違いなどの子アイテムは除く)
            $return = $AVAFIT->get("category_rank_item_get", array("client_key"    => $site_key,
                                                                   "set_kubun"     => $f_cate_set,
                                                                   "cate_indexes"  => $f_cate_num,
                                                                   "page"          => ($offset/1)+1,
                                                                   "pagePerRecord" => 1,
                                                                   "cond"          => $cond,
                                                                   "include_sub"   => true));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
            else {
                $item_info = $return["value"];
                $items = $item_info["ITEMS"];

                //表示アイテム数
                if ($item_info["ITEM_TOTAL_COUNT"] > _WU_RANKING_COUNT) {
                    $item_count = _WU_RANKING_COUNT;
                }
                else {
                    $item_count = $item_info["ITEM_TOTAL_COUNT"];
                }
            }
            if(sizeof($items) > 0){
                $rankings[$ii] = $items[0];
                $ii++;
            }
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>