<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //表示順
        if ($order == "DATE_OLD") {
            $order_cond = "registdate asc";
        }
        else {
            $order_cond = "registdate desc";
        }

        $return = $AVAFIT->get("avatar_album_get", array("client_key"    => $site_key,
                                                         "page"          => ($offset/_WU_ITEM_CNT_LIST_PAGE)+1, //表示ページ番号
                                                         "pagePerRecord" => _WU_ITEM_CNT_LIST_PAGE,             //アルバム表示数
                                                         "cond"          => "usercode:".$user_code,             //表示条件
                                                         "orderBy"       => $order_cond));                      //表示順
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $album_info = $return["value"];
            $albums = $album_info["ALBUMS"];
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>