<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }

    if (!sizeof($ERROR)) {
        //アバターが存在するか確認

        $return = $AVAFIT->get("avatar_is_valid", array("client_key" => $site_key, "user_code"  => $user_code));
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $is_exist = $return["value"];
        }

        //アバターが存在しない場合は新規作成
        if (!$is_exist) {
            if ($sex != "m" && $sex != "f") {
                $sex = "f";
            }

            $return = $AVAFIT->get("avatar_create", array("client_key" => $site_key, "user_code" => $user_code, "sex" => $sex));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
        }

        //アバターの呼び出し
        if (!sizeof($ERROR)) {
            $return = $AVAFIT->get("avatar_call", array("client_key" => $site_key, "user_code" => $user_code));
            if (!$return["result"]) {
                $ERROR[] = $return["error_shot"];
            }
            else {
                $avatar = $return["value"];
                $avatar_url = $sel_svr_url . $avatar["HTML5_AVATAR_URL"] . "&w=192";

                $sex = $avatar["SEX"];
            }
        }

        //第2のカテゴリー組があるか調べる
        $return = $AVAFIT->get("category_get", array("client_key"        => $site_key,
                                                     "set_kubun"         => 2,            // カテゴリーセット区分（ここでは第2組）
                                                     "parent_cate_index" => "",           // 親カテゴリーINDEX（ここでは設定なしにした）
                                                     "cond"              => "sex:c".$sex, // 表示条件：性別が共通またはアバター自身の性別
                                                     "include_sub"       => true));       // サブカテゴリーを含む
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $category2 = $return["value"];
        }
    }

    if(!sizeof($ERROR)){
        // 処理完了メッセージの取り出し // 20110126 k 「BUYPUTOK」のメッセージを変更
        if($rslt=="BUYOK"){$rsltmsg = "購入しました。";}
        else if($rslt=="BUYPUTOK"){$rsltmsg = "購入＆着替えました。";}
    }

    if(!sizeof($ERROR)){
        // カテゴリSETの選別
        $f_cate_set = ($f_cate_set)?$f_cate_set:1;
        $order_cond = "selldate desc, name asc";

        $return = $AVAFIT->get("category_item_get", array("client_key"    => $site_key,
                                                          "set_kubun"     => $f_cate_set,         //カテゴリーセット区分
                                                          "cate_indexes"  => null,                //カテゴリーINDEX(新着はNULL)
                                                          "page"          => 1,                   //表示ページ番号(ここは1で固定)
                                                          "pagePerRecord" => _WU_TOP_NEWEST_ITEMS,//アイテム表示数
                                                          "cond"          => "sex:c".$sex,        //表示条件
                                                          "orderBy"       => $order_cond,         //表示順
                                                          "include_sub"   => true));              //サブカテゴリーを含む
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $item_info = $return["value"];
            $items = $item_info["ITEMS"];
        }
    }

    //ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $user_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($user_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>