<?php
    //基本モジュール呼び出し
    include_once("./lib/header.lib");

    if (!$site_key || !$user_code) {
        $ERROR[] = "「site_key」または「user_code」がありません。";
    }
    if (!$item_key) {
        $ERROR[] = "「item_key」がありません。";
    }

    $rtn_page = ($list_page)?$list_page:"item_list";

    // アイテム価格変数と購入可能判定を予めセット
    $item_price     = 0;    // 価格変数
    $u_can_buy      = true; // 購入可能判定
    $buy_item_keys  = null;
    $cate_type_link = ($cate_type) ? "&cate_type=".$cate_type: null ;

    //[現在試着中のアイテムをやめて他のアイテムを探す]
    if ($action == "DEL" && $item_key) {
        //現在のアイテムを試着から外す
        $return = $AVAFIT->get("avatar_item_putoff_temp", array("client_key" => $site_key,
                                                                "user_code"  => $user_code, //
                                                                "sex"        => "",         //
                                                                "try_key"    => $f_try_key, //
                                                                "item_keys"  => $item_key,  //
                                                                "dyna_cond"  => ""));       //

        if ($return["result"]) {
            $tryset = $return["value"];
            $f_try_key = $tryset["TRYKEY"];
        }

        // リダイレクト先の設定
        $goto  = "http://".$_SERVER["HTTP_HOST"]."/".str_replace($_SERVER["DOCUMENT_ROOT"],"",dirname(__FILE__))."/";
        $goto .= $rtn_page.".php?".$params;
        $goto .= "&order=".$order;
        $goto .= "&offset=".$offset;
        $goto .= "&f_cate=".$f_cate;
        $goto .= "&f_cate_set=".$f_cate_set;
        $goto .= "&f_try_key=".$f_try_key;

        // リダイレクト
        // 「ob_end_clean();」をリダイレクト前に宣言して、バッファリングをクリア
        ob_end_clean();
        header ('Location: '.$goto);
        exit;
    }


    //ポイントの確認
    if (!sizeof($ERROR)) {
        $fp = fopen(_WU_POINT_GET_URL."?user_code=".$user_code, "r");
        if (!$fp) {
            $ERROR[] = "ユーザーのポイント確認に失敗しました。";
        }
        else {
            while (!feof($fp)) {
                $user_point = fgets($fp, 1024);
            }
            fclose($fp);

            if (!validate_number($user_point)) {
                $ERROR[] = "ユーザーの所持ポイントが正しくありません。";
            }
        }
    }

    if (!sizeof($ERROR)) {
        //試着
        $return = $AVAFIT->get("avatar_item_puton_temp", array("client_key" => $site_key,
                                                               "user_code"  => $user_code, //
                                                               "sex"        => "",         //
                                                               "try_key"    => $f_try_key, //
                                                               "item_keys"  => $item_key,  //
                                                               "dyna_cond"  => ""));       //
        if ($return["result"]) {
            $tryset = $return["value"];
            $f_try_key = $tryset["TRYKEY"];
        }
        else {
            $ERROR[] = $return["error"];
        }

        //試着表示
        $return = $AVAFIT->get("avatar_call_temp", array("client_key" => $site_key,
                                                         "user_code"  => $user_code,   //
                                                         "sex"        => "",           //
                                                         "try_key"    => $f_try_key)); //
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $try = $return["value"];
            $try_url = $sel_svr_url . $try["HTML5_AVATAR_URL"] . "&w=192";
            $try_items = $try["ITEMS"];
        }

        //アイテム情報
        $return = $AVAFIT->get("item_info", array("client_key" => $site_key,
                                                  "user_code"  => $user_code,  //
                                                  "item_keys"  => $item_key)); //
        if (!$return["result"]) {
            $ERROR[] = $return["error_shot"];
        }
        else {
            $item_info = $return["value"];
            $items = $item_info["ITEMS"];

            // 購入時に必要な・アイテムIDを取得
            $buy_item_keys = $items[0]["KEY"];

            // アイテム販売価格を取得
            $item_price = $items[0]["PRICE"];

            // 取得した販売価格と所持ポイントを比較して、購入可能か判定する
            // falseなら、viewファイル上で「購入不可」の表示を行う
            $point_calc = $user_point - $item_price;
            $u_can_buy  = ($point_calc < 0) ? false : true ;

            // 購入不可の判定が下った場合は、$buy_item_keysをnullにする。
            $buy_item_keys = ($u_can_buy == false) ? null : $buy_item_keys;

            //子アイテム情報取得
            if ($items[0]["CHILD_COUNT"]) {
                $return = $AVAFIT->get("item_info_child", array("client_key"      => $site_key,
                                                                "user_code"       => $user_code,                          //
                                                                "parent_item_key" => $item_key,                           //
                                                                "page"            => ($offset2/_WU_ITEM_CNT_LIST_PAGE)+1, //
                                                                "pagePerRecord"   => _WU_ITEM_CNT_LIST_PAGE));            //
                if (!$return["result"]) {
                    $ERROR[] = $return["error_shot"];
                }
                else {
                    $child_info = $return["value"];
                    $children = $child_info["ITEMS"];
                }
            }
            //親情報も確認
            else {
                $return = $AVAFIT->get("item_info_parent", array("client_key"     => $site_key,
                                                                 "user_code"      => $user_code,  //
                                                                 "child_item_key" => $item_key)); //
                if (!$return["result"]) {
                    $ERROR[] = $return["error_shot"];
                }
                else {
                    $parent_info = $return["value"];

                    //親アイテムの子アイテムが複数あるということは現在のアイテム以外にも他の子アイテムがあるので情報取得
                    if ($parent_info["CHILD_COUNT"]>1){
                        //親アイテムの子アイテム情報
                        $return = $AVAFIT->get("item_info_child", array("client_key"      => $site_key,
                                                                        "user_code"       => $user_code,                          //
                                                                        "parent_item_key" => $parent_info["KEY"],                 //
                                                                        "page"            => ($offset2/_WU_ITEM_CNT_LIST_PAGE)+1, //
                                                                        "pagePerRecord"   => _WU_ITEM_CNT_LIST_PAGE));            //
                        if (!$return["result"]) {
                            $ERROR[] = $return["error_shot"];
                        }
                        else {
                            $child_info = $return["value"];
                            $children_tmp = $child_info["ITEMS"];
                        }
                    }

                    //親アイテム及びその親の自分以外の子アイテムを「$children」配列に統合
                    if ($parent_info) {
                        $children[0] = $parent_info;
                        $cnt = 0;
                        for ($i = 0; $i < sizeof($children_tmp); $i++) {
                            if ($children_tmp[$i]["KEY"] != $item_key) {
                                $cnt++;
                                $children[$cnt] = $children_tmp[$i];
                            }
                        }
                    }
                }
            }
        }
    }

    //共通ヘッダ
    html_header();

    //キャリアにあわせてVIEWファイルをINCLUDE
    include(get_viewfile());

    //基本モジュール呼び出し
    include("./lib/footer.inc");
?>